@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins',sans-serif;
}
body{

    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #40f4df;
    /*background-image: url("./mop.jpg");*/
/*    filter:blur(4px);*/
    background-size: 100%;
    background-repeat: no-repeat;

}
.container{
   
    position: relative;
    max-width: 900px;
    width: 100%;
    border-radius: 6px;
    padding: 40px;
    margin: 0 15px;
    background-color: #fff;
    box-shadow: 0 5px 10px;
    background-image: url("../images/map_of_pakistan.jpg");
/*    filter:blur(4px);*/
    background-size: 100%;
    background-repeat: no-repeat;
    

    
        
}

.container form {
    position: relative;
    min-height: 490px;
    margin-top: 16px;
    background-color: transparent!important;
}
.container header{
    position: relative;
    margin-top: -65px;
    font-size: 28px;
    font-weight: 600;
    color: #333;
}

.container form{
    position: relative;
    min-height: 490px;
    margin-top: 16px;
    background-color: #fff;
   
}
.container form .details{
    margin-top: 30px;
}
.container form .details.application{
    margin-top: 10px;
}
.container form .title{
    display: block;
    margin: 8px;
    font-size: 16px;
    font-weight: 500;
    margin: 6px 0;
    color: #333;
}
.container form .fields{
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 4px 0;
    flex-wrap: wrap;
}
form .fields .input-field{
    display: flex;
    width: calc(100% / 3 - 15px);
    flex-direction: column;
    margin: 4px 0;
}
.header_div{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
img{
    width: 100px;
    margin-top: -25px;
    margin-right: 0px;   
}
.input-field label{
    font-size: 12px;
    font-weight: 500;
    color: #2e2e2e;
}
.btnText{
    font-weight: bold;
}

.input-field input{
    outline: none;
    font-size: 14px;
    font-weight: 400;
    color: #333;
    border-radius: 5px;
    padding: 0 15;
    border: 1px solid #aaa;
    height: 42px;
    margin: 8px 0 ;
}
.input-field input[type="number"] {
    appearance: textfield;
    -moz-appearance: textfield;
}
.input-field input[type="number"]::-webkit-outer-spin-button,
.input-field input[type="number"]::-webkit-inner-spin-button{
    -webkit-appearance: none;
    margin: 0;
}

.input-field input[type="file"] {
    display: block;
    padding: 0 15px;
    align-items: center;
    text-align: center;
    height: 42px;
    margin: 8px 0;
    width: 100%; 
}

.input-field input:is(:focus, :valid){
    box-shadow: 0 3px 6px rgba(0,0,0,0.13);
}
.input-field input[type="data"]{
    color: #707070;
}
.input-field input[type="date"]:valid{
    color:#333;
}
.container form button{
    display: flex;
    align-items: center;
    justify-content: center;
   cursor: pointer;
    height: 45px;
    max-width: 200px;
    width: 100%;
    border: none;
    outline: none;
    color: #fff;
    border-radius: 5px;
    background-color: #10bda9;
    margin: 48px 0;
    margin-left: auto;
    
}
.container form button:hover{
     background-image: linear-gradient(90deg, #00C0FF 0%, #FFCF00 49%, #FC4F4F 80%, #00C0FF 100%);
   animation:slidebg 5s linear infinite;
    border: 2px solid rgb(42, 40, 40);
}

.form-control{
    height: 42px !important;
    box-shadow: 0 3px 6px rgba(0,0,0,0.13) !important;
    border: 1px solid #aaa !important;
}
.form-control option:hover {background:rgba(0, 0, 0, .4) ; color:red}



/*Mdia queires*/
@media (max-width: 650px){
    .container form{
        overflow-y: scroll;
    }
    .container form::-webkit-scrollbar{
        display: none;
    }
    form .fields .input-field{
        width: calc(100% / 2 - 15px);
      
    }
}

@media(max-width: 550px){
    form .fields .input-field{
        width: 100%;
    }
}